# Get deposits

`GET https://api.strike.me/v1/deposits`

Source: https://docs.strike.me/api/get-deposits/

---

Required scopes:

- partner.deposit.manage

## Query parameters

- `$skip` (int32)
- `$top` (int32)

## Responses

### 200 OK

`application/json`

- `items` (object[], required): The page items.
  - `id` (uuid, required): ID of the deposit.
  - `amount` (object, required): The amount to be credited to the Strike account.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `fee` (object, required): The amount to be charged as the fee for the deposit.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `totalAmount` (object, required): The total amount to be deposited from the payment method.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `state` (string, required): The state of the deposit process. The deposit can be created in either `New` or `Pending` state. One of `NEW`, `PENDING`, `COMPLETED`, `FAILED`, `REVERSED`.
  - `failureReason` (string): The reason for the deposit failure.
- `count` (int64, required): Total number of records. When IsCountUnknown is true, this value should be ignored.
- `isCountUnknown` (boolean, required): Indicates whether the total count is unknown or could not be determined. When true, the Count property should be ignored.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
